%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api_version	4
%define lib_major	0
%define gir_major	4

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview
Version:	4.2.0
Release:	%mkrel 0.1
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtksourceview-3.19.3-mga-rpmspec.patch
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gettext

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		Editors
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-3.0_0 < 3.1.5

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:	Libraries and include files for GtkSourceView
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-3.0-devel < 3.1.5

%description -n %{libnamedev}
GtkSourceView development files.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}- 3.0 0} < 3.1.3-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

%build
%configure2_5x \
	--disable-static \
	--enable-vala=yes
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}-%{api_version}

%files -f %{name}-%{api_version}.lang
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api_version}/

%files -n %{libname}
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api_version}.0
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.deps
%{_datadir}/vala/vapi/gtksourceview-%{api_version}.vapi
